import { Model } from 'mongoose';
export declare function generateRollNumber(enrollmentModel: Model<any>, className: string, sectionName: string | undefined, academicYearId: string): Promise<string>;
export declare function generateUniqueId(model: Model<any>, prefix: 'STU' | 'TCH' | 'ADM'): Promise<string>;
export declare function generateStudentId(studentModel: Model<any>): Promise<string>;
export declare function generateTeacherId(teacherModel: Model<any>): Promise<string>;
export declare function generateAdminId(adminModel: Model<any>): Promise<string>;
